aboutsummaryrefslogtreecommitdiffstats
path: root/dunst/.config
diff options
context:
space:
mode:
Diffstat (limited to 'dunst/.config')
-rw-r--r--dunst/.config/dunst/dunstrc.org30
-rwxr-xr-xdunst/.config/herbstluftwm/autostart.d/dunst.sh10
2 files changed, 10 insertions, 30 deletions
diff --git a/dunst/.config/dunst/dunstrc.org b/dunst/.config/dunst/dunstrc.org
index 9938119..eae649b 100644
--- a/dunst/.config/dunst/dunstrc.org
+++ b/dunst/.config/dunst/dunstrc.org
@@ -189,36 +189,6 @@
corner_radius = 10
#+end_src
-* Keyboard shortcuts
-
- #+BEGIN_SRC conf-unix
- [shortcuts]
- #+END_SRC
-
- Use Mod4+m to close the latest message.
-
- #+BEGIN_SRC conf-unix
- close = mod4+m
- #+END_SRC
-
- Use Mod4+Shift+m to close all messages.
-
- #+BEGIN_SRC conf-unix
- close_all = mod4+shift+m
- #+END_SRC
-
- Use Mod4+Control+m to retrieve a message from history.
-
- #+BEGIN_SRC conf-unix
- history = mod4+ctrl+m
- #+END_SRC
-
- Use Mod4+Alt+m to show the context menu.
-
- #+BEGIN_SRC conf-unix
- context = mod4+mod1+m
- #+END_SRC
-
* Styles
#+BEGIN_SRC conf-unix
diff --git a/dunst/.config/herbstluftwm/autostart.d/dunst.sh b/dunst/.config/herbstluftwm/autostart.d/dunst.sh
new file mode 100755
index 0000000..384706a
--- /dev/null
+++ b/dunst/.config/herbstluftwm/autostart.d/dunst.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env zsh
+
+if ! whence hc; then
+ hc() { herbstclient "$@"; }
+fi
+
+hc keybind Mod4-apostrophe spawn dunstctl close
+hc keybind Mod4-quotedbl spawn dunstctl close-all
+hc keybind Mod4-Control-apostrophe spawn dunstctl history-pop
+hc keybind Mod4-Mod1-apostrophe spawn dunstctl context